From 5d6b71cbaacfa7f9e7df0a395a9085cbd904ab1a Mon Sep 17 00:00:00 2001
From: Alex Macdonald <almacdon@redhat.com>
Date: Oct 09 2018 15:23:18 +0000
Subject: [PATCH 2/3] include shell scripts to download and cleanup sources to tarballs


---

diff --git a/ee4j/generate_ee4j_tarball.sh b/ee4j/generate_ee4j_tarball.sh
new file mode 100644
index 0000000..daa8ea7
--- /dev/null
+++ b/ee4j/generate_ee4j_tarball.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+wget https://github.com/eclipse-ee4j/ee4j/archive/1.0.1.tar.gz
diff --git a/jaf/generate_jaf_tarball.sh b/jaf/generate_jaf_tarball.sh
new file mode 100644
index 0000000..152b600
--- /dev/null
+++ b/jaf/generate_jaf_tarball.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+wget https://github.com/eclipse-ee4j/jaf/archive/initial-contribution.tar.gz
+tar xzf initial-contribution.tar.gz
+rm initial-contribution.tar.gz
+mv jaf-initial-contribution/ jaf-1.2.1/
+tar czf jaf-1.2.1.tar.gz jaf-1.2.1/
+rm -r jaf-1.2.1
diff --git a/javamail/generate_javamail_tarball.sh b/javamail/generate_javamail_tarball.sh
new file mode 100644
index 0000000..62de8fd
--- /dev/null
+++ b/javamail/generate_javamail_tarball.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+wget https://github.com/javaee/javamail/archive/JAVAMAIL-1_6_1.tar.gz
+tar xzf JAVAMAIL-1_6_1.tar.gz
+rm JAVAMAIL-1_6_1.tar.gz
+mv javamail-JAVAMAIL-1_6_1/ javamail-1.6.1/
+tar czf javamail-1.6.1.tar.gz javamail-1.6.1/
+rm -r javamail-1.6.1/
diff --git a/jmc-core/generate_jmc_core_tarball.sh b/jmc-core/generate_jmc_core_tarball.sh
new file mode 100644
index 0000000..846e425
--- /dev/null
+++ b/jmc-core/generate_jmc_core_tarball.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+wget http://hg.openjdk.java.net/jmc/jmc/archive/9ebfa2888b8f.tar.gz
+tar xzf 9ebfa2888b8f.tar.gz
+rm 9ebfa2888b8f.tar.gz
+cp -r jmc-9ebfa2888b8f/core/ jmc-core-7.0.0/
+tar czf jmc-core-7.0.0.tar.gz jmc-core-7.0.0/
+rm -r jmc-core-7.0.0/ jmc-9ebfa2888b8f
\ No newline at end of file
diff --git a/jmc/generate_jmc_tarball.sh b/jmc/generate_jmc_tarball.sh
new file mode 100644
index 0000000..d5e954f
--- /dev/null
+++ b/jmc/generate_jmc_tarball.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+wget http://hg.openjdk.java.net/jmc/jmc/archive/tip.tar.gz
+tar xzf tip.tar.gz
+rm tip.tar.gz
+mv jmc-tip/ jmc-7.0.0/
+tar czf jmc-7.0.0.tar.gz jmc-7.0.0/
+rm -r jmc-7.0.0/core/

